name: toybox CI

on:
  schedule:
    - cron:  '0 2 * * *'
  push:
    branches: [ master ]

jobs:
  MacOS-11_0:
    runs-on: macos-11.0

    steps:
    - uses: actions/checkout@v2
    - name: Setup
      run: brew install gnu-sed
    - name: Configure
      run: make macos_defconfig
    - name: Build
      run: make
    - name: Test
      run: VERBOSE=1 make tests

  MacOS-10_15:
    runs-on: macos-10.15

    steps:
    - uses: actions/checkout@v2
    - name: Setup
      run: brew install gnu-sed
    - name: Configure
      run: make macos_defconfig
    - name: Build
      run: make
    - name: Test
      run: VERBOSE=1 make tests

  Ubuntu-20_04:
    runs-on: ubuntu-20.04

    steps:
    - uses: actions/checkout@v2
    - name: Setup
      run: sudo apt-get install build-essential
    - name: Configure
      run: make defconfig
    - name: Build
      run: make
    - name: Test
      run: VERBOSE=1 make tests
